package edu.mermet.tp8.fenetres;

import java.awt.BorderLayout;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import java.util.Random;

import javax.swing.Action;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import edu.mermet.tp8.actions.ActionsFermer;

public class FenetreSuggestion extends JInternalFrame{
	private JLabel label;
	private JButton fermer, plusAff;

	public FenetreSuggestion() {
		super("Suggestion", true,true,true,true);
		init();
		//pack();
		setSize(450, 100);
		setVisible(true);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
	}
	
	public void init() {
		JPanel panelBouton = new JPanel();
		JPanel panel = new JPanel();
		
		try (InputStream input = new FileInputStream("src/main/java/edu/mermet/tp8/suggestion/suggestion.properties")) {
        	Properties prop = new Properties();
        	prop.load(input);
        	
        	Random r = new Random();
        	int n = r.nextInt(1 + 1) + 1;
        	
        	System.out.println(n);
        	
        	while(prop.getProperty("sug" + n) == "no") {
        		n = r.nextInt(2) + 1;
        	}
        	
        	label = new JLabel(prop.getProperty(n+""));
        	
        }catch (IOException io) {
            io.printStackTrace();
        }
		
		panel.add(label);
		add(panel, BorderLayout.CENTER);
		
		fermer = new JButton("Fermer");
		fermer.addActionListener(new ActionsFermer(this));
		
		panelBouton.add(fermer);
		add(panelBouton, BorderLayout.SOUTH);
	}

}
